Nomod
Charges/List Charges

List Charges

gethttps://api.nomod.com/v1/charges

Fetch all charges list

curl -X GET 'https://api.nomod.com/v1/charges' \
  -H 'X-API-KEY: $NOMOD_API_KEY' \
  -H 'Content-Type: application/json'

Query parameters

currencystring
customer_idstring <uuid>
idstring
link_idstring
pageinteger

A page number within the paginated result set.

page_sizeinteger

Number of results to return per page.

searchstring

search

statusstring
typestring

* `charge` - Charge * `link` - Link * `invoice` - Invoice * `checkout` - Checkout * `collectquickpay` - Collect Quick Pay * `collectcampaign` - Collect Campaign

Enum: charge, checkout, collectcampaign, collectquickpay, invoice, link

Responses

countintegerrequired
nextstring <uri>
previousstring <uri>
resultsarrayrequired

Example response

{
  "count": 123,
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2",
  "results": [
    {
      "id": "00000000-0000-0000-0000-000000000000",
      "reference_id": 0,
      "created": "2026-01-01T00:00:00Z",
      "taxes": [
        0
      ],
      "items": [
        {
          "amount": "0.00",
          "name": "string",
          "total_amount": "0.00",
          "quantity": 0,
          "product": "00000000-0000-0000-0000-000000000000",
          "sku": "string"
        }
      ],
      "currency": "string",
      "discount": "0.00",
      "service_fee": "0.00",
      "status": {
        "0": "a",
        "1": "u",
        "2": "t",
        "3": "h",
        "4": "o",
        "5": "r",
        "6": "i",
        "7": "s",
        "8": "e",
        "9": "d"
      },
      "tip": "0.00",
      "tax": "0.00",
      "total": "0.00",
      "refund_total": "0.00",
      "note": "string",
      "payment_method": {
        "0": "c",
        "1": "a",
        "2": "s",
        "3": "h"
      },
      "discount_percentage": "0.00",
      "service_fee_percentage": "0.00",
      "tip_percentage": "0.00",
      "user": {
        "id": "00000000-0000-0000-0000-000000000000",
        "first_name": "string",
        "last_name": "string"
      },
      "source": {
        "type": "string",
        "token": "string",
        "expiry_month": "string",
        "expiry_year": "string",
        "name": "string",
        "scheme": "string",
        "scheme_local": "string",
        "last4": "string",
        "bin": "string",
        "card_type": "string",
        "card_category": "string",
        "issuer": "string",
        "issuer_country": "string",
        "product_id": "string",
        "product_type": "string",
        "expires_on": "string",
        "card_data": {
          "card_number": "string",
          "expiry_month": "string",
          "expiry_year": "string",
          "security_code": "string",
          "card_holder_name": "string"
        },
        "card_holder_name": "string"
      },
      "view_count": 0,
      "error": "string",
      "custom_fields": [],
      "refunds": [
        {
          "created": "2026-01-01T00:00:00Z",
          "amount": "0.00"
        }
      ],
      "service_fee_data": null,
      "payment_capture_source": "string",
      "events": {
        "created": "2026-01-01T00:00:00Z",
        "type": {
          "0": "a",
          "1": "u",
          "2": "t",
          "3": "h",
          "4": "o",
          "5": "r",
          "6": "i",
          "7": "s",
          "8": "e",
          "9": "d"
        },
        "message": "string",
        "user": {
          "id": "00000000-0000-0000-0000-000000000000",
          "first_name": "string",
          "last_name": "string"
        }
      },
      "settlement_currency": "string",
      "fee": 0,
      "fx_fee": 0,
      "fee_tax": "0.00",
      "net": 0,
      "network_cost": "0.00",
      "success_url": "string",
      "failure_url": "string"
    }
  ]
}